
QGIS Application - Bug report #2353

GPS functionality broken on OS X

2010-01-10 04:52 PM - John Tull

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12413

Description

On OS X, there are no ports being picked up for the GPS functionality. Possibly, incorporating the newest qextserial code will be a start as

there is support for OS X in the current 1.2 branch. Another possibility would be allowing manual input of the device path.

History

#1 - 2010-01-11 08:41 AM - Giovanni Manghi

is this #1170 the same issue?

#2 - 2010-01-11 09:58 AM - John Tull

No, but thanks for adding that pointer. It might be possible that a fix here can supply a fix for the plugin as well. This bug relates to the under development

GPS functionality (live tracking, etc.) that Tim and Marco are working on.

#3 - 2010-01-12 06:18 AM - Marco Hugentobler

Does the upgrade of the qextserial code (thanks, jef!) solves this problem?

#4 - 2010-01-12 09:21 AM - John Tull

- Resolution set to fixed

- Status changed from Open to Closed

Yes, this is now working. I do not have my hardware to test the 1170 possible fix right now.
